AttachSecurityProfile
Note
The AWS IoT Device Defender detect feature will no longer be available to new customers starting August 31, 2026. If you would like to use the detect feature, sign up prior to August 31, 2026. To learn about alternatives to AWS IoT Device Defender detect, see AWS IoT Device Defender detect feature availability change. There is no change to AWS IoT Device Defender audit availability.
Associates a Device Defender security profile with a thing group or this account. Each thing group or account can have up to five security profiles associated with it.
Requires permission to access the AttachSecurityProfile action.
Request Syntax
PUT /security-profiles/securityProfileName/targets?securityProfileTargetArn=securityProfileTargetArn HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- securityProfileName
-
The security profile that is attached.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9:_-]+Required: Yes
- securityProfileTargetArn
-
The ARN of the target (thing group) to which the security profile is attached.
Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
- InternalFailureException
-
An unexpected error has occurred.
- message
-
The message for the exception.
HTTP Status Code: 500
- InvalidRequestException
-
The request is not valid.
- message
-
The message for the exception.
HTTP Status Code: 400
- LimitExceededException
-
A limit has been exceeded.
- message
-
The message for the exception.
HTTP Status Code: 410
- ResourceNotFoundException
-
The specified resource does not exist.
- message
-
The message for the exception.
HTTP Status Code: 404
- ThrottlingException
-
The rate exceeds the limit.
- message
-
The message for the exception.
HTTP Status Code: 400
- VersionConflictException
-
An exception thrown when the version of an entity specified with the
expectedVersionparameter does not match the latest version in the system.- message
-
The message for the exception.
HTTP Status Code: 409
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: